package com.boman.domain.entity.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.sql.Date;
import java.sql.Timestamp;
import java.util.List;
import java.util.Map;

/**
 * @author tjf
 * @Date: 2021/08/24/14:26
 */
public class StatisticReportVo {
    private Long id;
    private String reportName;
    private String reportId;
    private String templateName;
    private java.sql.Date startTime;
    private java.sql.Date endTime;
    private String reportStatus;
    private String status;
    private String repUploadFile;
    private String remark;
    private String createBy;
    private java.sql.Timestamp createTime;
    private String updateBy;
    private java.sql.Timestamp updateTime;
    private String isDel;
    //参与人员
    private List<Map<String,Object>> personnelList;
    //已填报单位
    private List<Map<String,Object>> filledInList;
    //未填报单位
    private List<Map<String,Object>> filledOutList;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getReportName() {
        return reportName;
    }

    public void setReportName(String reportName) {
        this.reportName = reportName;
    }

    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getReportStatus() {
        return reportStatus;
    }

    public void setReportStatus(String reportStatus) {
        this.reportStatus = reportStatus;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRepUploadFile() {
        return repUploadFile;
    }

    public void setRepUploadFile(String repUploadFile) {
        this.repUploadFile = repUploadFile;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Timestamp getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Timestamp createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Timestamp getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Timestamp updateTime) {
        this.updateTime = updateTime;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    public List<Map<String, Object>> getPersonnelList() {
        return personnelList;
    }

    public void setPersonnelList(List<Map<String, Object>> personnelList) {
        this.personnelList = personnelList;
    }

    public List<Map<String, Object>> getFilledInList() {
        return filledInList;
    }

    public void setFilledInList(List<Map<String, Object>> filledInList) {
        this.filledInList = filledInList;
    }

    public List<Map<String, Object>> getFilledOutList() {
        return filledOutList;
    }

    public void setFilledOutList(List<Map<String, Object>> filledOutList) {
        this.filledOutList = filledOutList;
    }

    @Override
    public String toString() {
        return "StatisticReportVo{" +
                "id=" + id +
                ", reportName='" + reportName + '\'' +
                ", reportId='" + reportId + '\'' +
                ", templateName='" + templateName + '\'' +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", reportStatus='" + reportStatus + '\'' +
                ", status='" + status + '\'' +
                ", repUploadFile='" + repUploadFile + '\'' +
                ", remark='" + remark + '\'' +
                ", createBy='" + createBy + '\'' +
                ", createTime=" + createTime +
                ", updateBy='" + updateBy + '\'' +
                ", updateTime=" + updateTime +
                ", isDel='" + isDel + '\'' +
                ", personnelList=" + personnelList +
                ", filledInList=" + filledInList +
                ", filledOutList=" + filledOutList +
                '}';
    }
}
